package com.crypto.utils.helpers;

import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.security.cert.CRLException;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509CRL;
import java.security.cert.X509Certificate;

public class CerHelper {
	public static  X509Certificate readCertFromFile(String filePath) throws FileNotFoundException, IOException, CertificateException, CRLException
	{
		
		 InputStream inStream = new ByteArrayInputStream(XmlReader.fileToByteArray(filePath));
		 CertificateFactory cf = CertificateFactory.getInstance("X.509");
		 X509Certificate cert = (X509Certificate)cf.generateCertificate(inStream);
         return cert;
		
	}
	public static X509Certificate downloadCerFromWeb(String crlURL)
	  
    throws MalformedURLException, IOException, CertificateException,

    CRLException {

URL url = new URL(crlURL);

InputStream cerStream = url.openStream();

try {

    CertificateFactory cf = CertificateFactory.getInstance("X.509");

    X509Certificate cer = (X509Certificate) cf.generateCertificate(cerStream);

    return cer;

} finally {

	cerStream.close();

}

}
	
	
	
}
